import { type CSSProperties } from "react";
interface CSSGridEntry {
    startLabel: string;
    endLabel: string;
    size: number | string;
}
export declare class CSSGridBuilder {
    rows: CSSGridEntry[];
    columns: CSSGridEntry[];
    addRow(start: string, end: string, size: number | string): this;
    addColumn(start: string, end: string, size: number | string): this;
    build(): CSSProperties;
}
export {};
